<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_remap_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_remap_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_remap_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Remap object descriptor as placed in shared memory. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__remap__t.html#a56d5bdcb8463f5959c9d21c3eb035165">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">base object descriptor  <a href="#a56d5bdcb8463f5959c9d21c3eb035165"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__remap__t.html#ad095535e68586f0ef1729030367d4391">src_width</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The source width.  <a href="#ad095535e68586f0ef1729030367d4391"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__remap__t.html#a48484d1f1be9545a1ea78b30c199a128">src_height</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The source height.  <a href="#a48484d1f1be9545a1ea78b30c199a128"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__remap__t.html#ab3bc959716f1da1c60bdeb947c237098">dst_width</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The destination width.  <a href="#ab3bc959716f1da1c60bdeb947c237098"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__remap__t.html#a353d5711729ca2e6f48be6ee28933555">dst_height</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The destination height.  <a href="#a353d5711729ca2e6f48be6ee28933555"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__remap__t.html#adbb7fdab2d22630c81a4d85e5ceb144c">mem_size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">size of buffer pointed to by mem_ptr  <a href="#adbb7fdab2d22630c81a4d85e5ceb144c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__remap__t.html#a019afce79142d5ce37c827c03bccd841">mem_ptr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">buffer address  <a href="#a019afce79142d5ce37c827c03bccd841"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a56d5bdcb8463f5959c9d21c3eb035165"></a><!-- doxytag: member="tivx_obj_desc_remap_t::base" ref="a56d5bdcb8463f5959c9d21c3eb035165" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> <a class="el" href="structtivx__obj__desc__remap__t.html#a56d5bdcb8463f5959c9d21c3eb035165">tivx_obj_desc_remap_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>base object descriptor </p>

</div>
</div>
<a class="anchor" id="ad095535e68586f0ef1729030367d4391"></a><!-- doxytag: member="tivx_obj_desc_remap_t::src_width" ref="ad095535e68586f0ef1729030367d4391" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__remap__t.html#ad095535e68586f0ef1729030367d4391">tivx_obj_desc_remap_t::src_width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The source width. </p>

</div>
</div>
<a class="anchor" id="a48484d1f1be9545a1ea78b30c199a128"></a><!-- doxytag: member="tivx_obj_desc_remap_t::src_height" ref="a48484d1f1be9545a1ea78b30c199a128" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__remap__t.html#a48484d1f1be9545a1ea78b30c199a128">tivx_obj_desc_remap_t::src_height</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The source height. </p>

</div>
</div>
<a class="anchor" id="ab3bc959716f1da1c60bdeb947c237098"></a><!-- doxytag: member="tivx_obj_desc_remap_t::dst_width" ref="ab3bc959716f1da1c60bdeb947c237098" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__remap__t.html#ab3bc959716f1da1c60bdeb947c237098">tivx_obj_desc_remap_t::dst_width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The destination width. </p>

</div>
</div>
<a class="anchor" id="a353d5711729ca2e6f48be6ee28933555"></a><!-- doxytag: member="tivx_obj_desc_remap_t::dst_height" ref="a353d5711729ca2e6f48be6ee28933555" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__remap__t.html#a353d5711729ca2e6f48be6ee28933555">tivx_obj_desc_remap_t::dst_height</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The destination height. </p>

</div>
</div>
<a class="anchor" id="adbb7fdab2d22630c81a4d85e5ceb144c"></a><!-- doxytag: member="tivx_obj_desc_remap_t::mem_size" ref="adbb7fdab2d22630c81a4d85e5ceb144c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__remap__t.html#adbb7fdab2d22630c81a4d85e5ceb144c">tivx_obj_desc_remap_t::mem_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>size of buffer pointed to by mem_ptr </p>

</div>
</div>
<a class="anchor" id="a019afce79142d5ce37c827c03bccd841"></a><!-- doxytag: member="tivx_obj_desc_remap_t::mem_ptr" ref="a019afce79142d5ce37c827c03bccd841" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a> <a class="el" href="structtivx__obj__desc__remap__t.html#a019afce79142d5ce37c827c03bccd841">tivx_obj_desc_remap_t::mem_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>buffer address </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
